/**
 * 通过wps提供的接口执行一段脚本
 * @param {*} param 需要执行的脚本
 */
function shellExecuteByOAAssist(param) {
	if (wps != null) {
		wps.OAAssist.ShellExecute(param)
	}
}

/**
 * 判断是否是静默启动
 * @returns boolean
 */
function IsSilentMode() {
	return wps.PluginStorage.getItem(constStrEnum.IsSilentMode)
}

const ClientType = 'wps'
const ApplicationName = 'IndiDocX'

/**
 * 根据当前文档返回唯一ID
 * @param {document} doc
 * @returns
 */
function GetUniqueId(doc) {
	return doc.DocID
}

/**
 * 封装提醒业务系统
 * @param {string} message
 */
function OAWebNotice(message) {
	// wps.OAAssist.WebNotify({
	//   ClientType,
	//   ApplicationName,
	//   Message: message,
	//   Version: GetCurrentVersion(),
	// });
	wps.OAAssist.WebNotify(message, true)
}
